<?php
/**
 *
 * @extension       YRPrice Calculator
 * @author          Lev Milicenco<support@marlev.it>
 * @link            http://www.marlev.it
 * @copyright       Copyright 2014 marlev.it All Rights Reserved

 * @license         http://www.gnu.org/licenses/gpl-2.0.html GNU/GPL
 */
namespace Marlev\Component\Tmarlevv2\Administrator\Table;
require_once JPATH_ROOT . '/administrator/components/com_tmarlevv2/src/Helper/loader.php';
use Joomla\CMS\Table\Table;
use Joomla\Database\DatabaseDriver;
use Joomla\Registry\Registry;
//for_use



defined('_JEXEC') or die;
class TemplateTable extends Table{
	public function __construct($db)
	{

		parent::__construct('#__template_styles', 'id', $db);
	}

	public function bind($array, $ignore = '')
	{

		if (isset($array['params']) && is_array($array['params']))
		{

			$registry = new Registry;
			$registry->loadArray($array['params']);
			$array['params'] = (string) $registry;
		}



		return parent::bind($array, $ignore);
	}





}
